<?php

if ( ! defined( 'ABSPATH' ) ) exit;

function elites_affiliates_register_post_types(){
    
    // ELITES
    register_post_type('elites_type',
        array(
                'label'         => null,
                'labels'        => array(
                'name'          => 'Elites',
                'singular_name' => 'Elite',
                'add_new'       => 'Add New',
                'add_new_item'  => 'Add New',
                'edit_item'     => 'Editing Your Elite',
                'new_item'      => 'New Elite',
                'view_item'     => 'View',
                'view_items'    => 'View Elite Sites',
                'search_items'  => 'Search',
                'not_found'     => 'Nothing found...',
                'not_found_in_trash'    => 'Nothing found',
                'archives'      => 'Archives',
                'attributes' 	=> 'Attributes',
                'insert_into_item'	=> 'Insert into',
                'uploaded_to_this_item'	=> 'Uploaded to this Elite',
                'featured_image' => 'Elite Image',
                'set_featured_image'    => 'Choose Elite Image',
                'remove_featured_image' => 'Remove',
                'use_featured_image'    => 'Choose',
                'all_items' => 'Elites',
                'menu_name' => 'Elites & Affiliates',),
                
                'public'                => true,
		        'exclude_from_search'   => true,
		        'publicly_queryable'    => false,
		        'show_in_nav_menus'     => false,
		        'show_in_admin_bar'     => false,
		        'menu_icon'             => 'dashicons-star-filled',
		        'supports'              => array( 'title', 'thumbnail', ),
		        'rewrite'               => false,                
        ) 
    );
    
    
    // AFFILIATES
    register_post_type( 'affiliates_type',
        array(
                'label'         => null,
                'labels'        => array(
                'name'          => 'Affiliates',
                'singular_name' => 'Affiliates',
                'add_new'       => 'Add New',
                'add_new_item'  => 'Add New',
                'edit_item'     => 'Editing Your Affiliate',
                'new_item'      => 'New Affiliate',
                'view_item'     => 'View',
                'view_items'    => 'View Affiliate Sites',
                'search_items'  => 'Search',
                'not_found'     => 'Nothing found...',
                'not_found_in_trash'    => 'Nothing found',
                'archives'      => 'Archives',
                'attributes' 	=> 'Attributes',
                'insert_into_item'	=> 'Insert into',
                'uploaded_to_this_item'	=> 'Uploaded to this Affiliate',
                'featured_image' => 'Affiliate Image',
                'set_featured_image'    => 'Choose Affiliate Image',
                'remove_featured_image' => 'Remove',
                'use_featured_image'    => 'Choose',
                'all_items' => 'Affiliates',),
                
                'public'              => true,
		        'exclude_from_search' => true,
		        'publicly_queryable'  => false,
		        'show_in_nav_menus'   => false,
		        'show_in_menu'        => 'edit.php?post_type=elites_type',
		        'show_in_admin_bar'   => false,
		        'supports'            => array( 'title', 'thumbnail', ),
		        'rewrite'             => false,                
        ) 
    );
	
	
	
	// REMOVE SUBMENU
	function remove_submenu() {
	    remove_submenu_page( 'edit.php?post_type=elites_type', 'post-new.php?post_type=elites_type' );
	}
    add_action( 'admin_menu', 'remove_submenu' );
    
    
    
    // ADD COLUMNS
    add_filter('manage_edit-elites_type_columns', 'elite_affiliates_posts_columns', 5);
    add_filter('manage_edit-affiliates_type_columns', 'elite_affiliates_posts_columns', 5);
    function elite_affiliates_posts_columns($defaults1){$defaults1['link'] = __('Link');return $defaults1;}
    
    
    
    // ADD COLUMNS
    add_action('manage_posts_custom_column', 'elite_affiliates_posts_custom_columns', 5, 2);
    function elite_affiliates_posts_custom_columns($column_name){
        if($column_name === 'link' ){
            echo '<div class="block">';
            echo '<a href="'.$elite_affiliates_class1 = esc_html( get_post_meta( get_the_ID(), 'elite_affiliates_class1', true ) ).'">'.$elite_affiliates_class1 = esc_html( get_post_meta( get_the_ID(), 'elite_affiliates_class1', true ) ).'</a>';
            echo '</div>';
        }
        
        if($column_name === 'type' ){
            echo '<div class="block">';
            echo '<span>'.$elite_affiliates_class2 = esc_html( get_post_meta( get_the_ID(), 'elite_affiliates_class2', true ) ).'</span>';
            echo '</div>';
        }
    }


    
    // REMOVE COLUMNS
    add_filter( 'manage_edit-elites_type_columns', 'elite_affiliates_remove_custom_pages_columns' );
    add_filter( 'manage_edit-affiliates_type_columns', 'elite_affiliates_remove_custom_pages_columns' );
    function elite_affiliates_remove_custom_pages_columns( $columns ) {unset($columns['date'],$columns['author']);return $columns;}
    
}
add_action( 'init', 'elites_affiliates_register_post_types', 1);