<?php

if ( ! defined( 'ABSPATH' ) ) exit;

function elite_affiliates_register_widget() { register_widget( 'elite_affiliates_widget' ); }
add_action( 'widgets_init', 'elite_affiliates_register_widget' );

// PHP IN WIDGETS (START)
function elite_affiliates_widget_php($widget_content) {if (strpos($widget_content, '<' . '?') !== false) {ob_start();eval('?' . '>' . $widget_content);$widget_content = ob_get_contents();ob_end_clean();}return $widget_content;}
add_filter('widget_text', 'elite_affiliates_widget_php', 99);
// PHP IN WIDGETS (END)



class elite_affiliates_widget extends WP_Widget {
    function __construct() {
        parent::__construct(
            'elite_affiliates_widget', __('Estrella Design: Elite & Affiliates', 'ed_elites_affiliates'), 
            array( 
                'description' => __( 'Add elites and affiliates to your site', 'ed_elites_affiliates' ), 
            )
        );
    }

    public function update( $new_instance, $old_instance ) {
        $instance = array();

        $instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : 'Elite & Affiliates';
        
        $instance['apply_elite_affiliates'] = ( ! empty( $new_instance['apply_elite_affiliates'] ) ) ? strip_tags( $new_instance['apply_elite_affiliates'] ) : 'https://#';

        return $instance;
    }

    public function form( $instance ) {
        $title = isset( $instance['title'] ) ? esc_attr( $instance['title'] ) : '';
        
        $apply_elite_affiliates = ( !empty($instance['apply_elite_affiliates'] ) ) ? $instance['apply_elite_affiliates'] : __( '' );
        
        ?>
        
        <p id="cpm_title">
            <label for="<?php echo $this->get_field_id( 'title' ); ?>">
                <?php echo __( 'Title:', 'ed_elites_affiliates'); ?>
            </label>
            
            <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo $title; ?>" />
        </p>
        
        <p id="apply_elite_affiliates">
            <label for="<?php echo $this->get_field_id( 'apply_elite_affiliates' ); ?>">
                <?php echo __( 'Link "Apply for Affiliates":', 'ed_elites_affiliates'); ?>
            </label>
            
            <input type="text" style="width: 100%;" id="<?php echo $this->get_field_id( 'apply_elite_affiliates' ); ?>" name="<?php echo $this->get_field_name( 'apply_elite_affiliates' ); ?>" type="apply_elite_affiliates" min="1" value="<?php echo $apply_elite_affiliates; ?>" />
        </p>
        
        <p id="cpmfetch_contact">
            <span style="text-align:right;font-size:9px;display:block;">
                Having troubles? Please, contact <a href="https://estrelladesign.tk/">the plugin creator</a> to get help.
            </span>
        </p>    
        
        <?php }
        
    public function widget( $args, $instance ) {

        $title = apply_filters( 'widget_title', $instance['title'] );
        echo $args['before_widget'];
        
        $apply_elite_affiliates = apply_filters( 'widget_title', $instance['apply_elite_affiliates'] );
        
        
        if ( ! empty( $title ) )
        echo $args['before_title'] . $title . $args['after_title'];

        echo '<div class="elites_affiliates_all">';

        // ELITES
        function elites_block($elites_args) {
            
            $elites_args = array(
		        'post_type' => 'elites_type',
		        'posts_per_page' => '-1',
		    );
		    
		    $query = new WP_query ( $elites_args );
	        if ( $query->have_posts() ) {
	            echo '<div class="elites_list">';
	            echo '
                <div class="elites_affiliates_title_all">
                    <span>Elite Sites</span>
                </div>';
                echo '<center>';
                echo '<table class="elites_list_table" border="0" cellpadding="5" cellspacing="5">';
	            $i = 0;
                while ( $query->have_posts() ) : $query->the_post();
		            // Functions
                    $elite_affiliates_class1 = esc_html( get_post_meta( get_the_ID(), 'elite_affiliates_class1', true ) );
                    ?>
                    <?php if($i == 0){ echo '<tr class="elites_list_row">'; }?>
                        <td class="elites_list_cell" colspan="3" width="33.3%" align="center">
                            <a href="<?php echo $elite_affiliates_class1 ?>" target="_blank" alt="<?php the_title(); ?>" title="<?php the_title(); ?>">
                                <div class="elites_block">
		                            <div class="elites_image">
		                                <?php if ( has_post_thumbnail() ) : ?>
                                            <?php the_post_thumbnail( 'ed_elite_affiliate' ); ?>
                                        <?php else : ?>
                                            <img src="<?php echo plugin_dir_url( __FILE__ ) . '/images/nophoto.jpg'; ?>">
                                        <?php endif; ?>
                                    </div>
                                    
                                    <div class="elites_title">
                                        <div class="elites_title_table">
                                            <div class="elites_title_cell">
                                                <span class="elites_title_scroll">
                                                    <?php the_title(); ?>
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </a>
                        </td>
                    <?php $i++;?>
                    <?php if($i == 3){echo "</tr>"; $i = 0;}?>
                <?php endwhile;
                if($i == 3) echo '</tr>';
                echo '</table>';
                echo '</center>';
                echo '</div>';
                
	        }
	        
	        else {
	            echo '<div class="elites_list">';
                echo '<span>No Affiliates...</span>';
                echo '</div>';
	        }
            
            
        }
        elites_block($elites_args);
        
        
        // AFFILIATES
        function affiliates_block($affiliates_args) {
            
            $affiliates_args = array(
		        'post_type' => 'affiliates_type',
		        'posts_per_page' => ''
		    );
		    
		    $query = new WP_query ( $affiliates_args );
	        if ( $query->have_posts() ) {
	            echo '
                <div class="elites_affiliates_title_all">
                    <span>Affiliates</span>
                </div>';
                
	            echo '
	                <div class="affiliates_list">
	                    <div class="affiliates_block">';
		        
		        echo '
		            <select onchange="with (this) document.location.href=options [selectedIndex].value">
		                <option value="" selected="selected" disabled="disabled">See all affiliates...</option>';          
                while ( $query->have_posts() ) : $query->the_post();
		            // Functions
                    $elite_affiliates_class1 = esc_html( get_post_meta( get_the_ID(), 'elite_affiliates_class1', true ) );
                    ?>
                        <option value="<?php echo $elite_affiliates_class1 ?>"><?php the_title(); ?></option>
                    
                <?php endwhile; rewind_posts();
                echo '</select>';
                
                echo '
                        </div>
                    </div>';
	        }
	        
	        else {}

        }
        affiliates_block($affiliates_args);
        
        if ($apply_elite_affiliates == 'https://#') {
            echo '';
        }
        else {
            echo '
                <div class="elite_affiliates_apply">
	                <a href="'.$apply_elite_affiliates.'">Apply For Affiliates</a>
	            </div>';
        }
	        
        echo '</div>';
        
        echo $args['after_widget'];
    }  

}


    
?>